/*
   PIC12F675
 MikroC Pro 6
----------------------
 Used RAM (bytes): 7 (15%)  Free RAM (bytes): 41 (85%)
 Used ROM (program words): 629 (61%)  Free ROM (program words):395 (39%)
*/

#define R      0x10      // 
#define G      0x04      // 
#define B      0x20      //   
#define RGB    0x34      //
#define RB     0x30      //+
#define RG     0x14      //+
#define GB     0x24      //+

unsigned char k, m;
const unsigned char Cikl = 255;
//---------------------------------
void Delmy1( unsigned int cnt ) // 
{
   do
   {
      Delay_us( 40 );
      --cnt;
   }
   while ( cnt > 0 );
}
//--------------------------

#include "Rainbow.c"
#include "Revers.c"
#include "Sunny.c"

/*======================
   
======================*/
void Init675( void )
{
   GPIO = 0;
   INTCON = 0;
   OPTION_REG = 0b10000001; //..,0 2mc
   TRISIO = 0b00001010;
   WPU = 0;
   ANSEL = 0;              //
   ADCON0 = 0;             //
   CMCON = 0x07;           // .
 }
//--------------------

void main( void )
{
   Init675();

   //  
   for ( k = 1 ; k < Cikl; k++ )
   {
      m = ( Cikl - k );
      GPIO |= R;                  //
      Delmy1( k );
      GPIO &= ~R;                 //
      Delmy1( m );
   }

   //
   GPIO |= R;

   while ( 1 )
   {
      Rainbow();
      Sunny();
      Revers();
   }
}
/*
   //  +  + 
      for ( k = 1 ; k < Cikl; k++ )
      {
         m = ( Cikl - k );
         GPIO |= R; 
         Delmy1( m );
         GPIO &= ~R; 
         Delmy1( k );
         GPIO |= GB;
         Delmy1( k );
         GPIO &= ~ GB;
         Delmy1( m );
      }
	   GPIO |= GB;
      */